TTMAC Class Reference

Two-Track-MAC message authentication code. More...

Inheritance diagram for TTMAC:

## Additional Inherited Members

Public Member Functions inherited from MessageAuthenticationCodeFinal< TTMAC_Base >
| MessageAuthenticationCodeFinal ()
| Construct a default MessageAuthenticationCodeFinal. More...
| MessageAuthenticationCodeFinal (const byte *key)
| Construct a BlockCipherFinal. More...
| MessageAuthenticationCodeFinal (const byte *key, size_t length)
| Construct a BlockCipherFinal. More...
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object. More...

## Detailed Description

Two-Track-MAC message authentication code.

Template Parameters

  T | HashTransformation class

160-bit MAC with 160-bit key

See also
  MessageAuthenticationCode(), Two-Track-MAC

Definition at line 40 of file ttmac.h.

The documentation for this class was generated from the following file:

- ttmac.h